package com.lqkj.cmlcp.module.authority.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class LoginBody {
    @Schema(description = "登录账号，RSA加密")
    private String username;
    @Schema(description = "登录密码，RSA加密")
    private String password;
    @Schema(description = "授权码，RSA加密")
    private String authCode;
}