package com.lqkj.cmlcp.module.zone.service;

import com.lqkj.cmlcp.module.zone.domain.ProjectInfo;
import org.springframework.data.domain.Page;

import java.util.List;

public interface ProjectInfoService {
    Page<ProjectInfo> pageQuery(String projectName, Integer page, Integer pageSize);

    void save(ProjectInfo projectInfo);

    void delete(List<Integer> ids);

    /**
     * 获取回收站列表
     * @param name
     * @return
     */
    List<ProjectInfo> getRBList(String name);

    /**
     * 恢复项目
     * @param ids
     */
    void restoxre(List<Integer> ids);
}
