package com.lqkj.cmlcp.module.zone.service;

import com.lqkj.cmlcp.module.zone.domain.ZoneInfo;
import org.springframework.data.domain.Page;

import java.util.List;

public interface ZoneInfoService{
    void save(ZoneInfo zoneInfo);

    Page<ZoneInfo> pageQuery(String name, Integer page, Integer pageSize);

    void delete(List<Integer> ids);

    /**
     * 获取项目下所有区域信息
     * @param projectId
     * @return
     */
    List<ZoneInfo> getList(Integer projectId);

    /**
     * 根据id获取作品信息
     * @param id
     * @return
     */
    ZoneInfo findById(Integer id);
}
