package com.lqkj.cmlcp.module.config.controller;

import com.lqkj.cmlcp.message.Result;
import com.lqkj.cmlcp.module.config.domain.ConfigInfo;
import com.lqkj.cmlcp.module.config.service.ConfigInfoService;
import org.springframework.web.bind.annotation.*;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;


@RestController
@Tag(name = "地图配置接口", description = "地图配置接口")
@RequestMapping("/config")
public class ConfigInfoController {

    @Autowired
    private ConfigInfoService configInfoService;


    @PostMapping("/saveConfig")
    public Result saveConfig(@RequestBody ConfigInfo configInfo) {
        configInfoService.saveAll(configInfo);
        return Result.ok();
    }

    @GetMapping("/getConfig")
    public Result getConfig() {
        return Result.ok(configInfoService.findAll());
    }

}
