package com.lqkj.cmlcp.module.config.service.impl;

import com.lqkj.cmlcp.module.config.domain.ConfigInfo;
import com.lqkj.cmlcp.module.config.repository.ConfigInfoRepository;
import com.lqkj.cmlcp.module.config.service.ConfigInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class ConfigInfoServiceImpl implements ConfigInfoService {


    @Autowired
    private ConfigInfoRepository configInfoRepository;
    @Override
    @Transactional
    public void saveAll(ConfigInfo configInfo) {
        configInfoRepository.save(configInfo);
    }

    @Override
    public ConfigInfo findAll() {
        List<ConfigInfo> configInfos = configInfoRepository.findAll();
        return configInfos.size() > 0 ? configInfos.get(0) : null;
    }
}
